#
# spec file for package golang-googlecode-freetype-go
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c), 2011, Sascha Peilicke <saschpe@gmx.de>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global provider        github
%global provider_tld    com
%global project         golang
%global repo            freetype
%global provider_prefix %{provider}.%{provider_tld}/%{project}/%{repo}
%global import_path     %{provider_prefix}

Name:           golang-googlecode-freetype-go
Version:        0.0.0+git20170609.e2365df
Release:        3.1
Summary:        A port of the Freetype font engine to the Go programming language
License:        FTL or GPL-2.0+
Group:          Development/Languages/Other
Url:            https://%{provider_prefix}
Source0:        %{repo}-%{version}.tar.xz
Source1:        rpmlintrc
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

BuildRequires:  golang-packaging
BuildRequires:  xz
BuildRequires:  golang(golang.org/x/image/font)

%{go_nostrip}
%{go_provides}

%description
This is a port of the Freetype font rasterizer (www.freetype.org) to the Go
programming language.

%prep
%setup -q -n %{repo}-%{version}

rm -rf example

%build
%goprep %{import_path}
%gobuild ...

%install
%goinstall
%gosrc
%gofilelist

%files -f file.lst
%defattr(-,root,root,-)
%doc AUTHORS CONTRIBUTORS LICENSE README licenses

%changelog
* Mon Aug 14 2017 thipp@suse.de
- Update to version 0.0.0+git20170609.e2365df:
  * Add an example/capjoin program.
  * Add a face.Metrics method, and parse hhea ascent and descent.
  * Use an "example" build tag instead of "ignore".
  * Loosen the SLOOP (Set LOOP) opcode precondition.
  * Add the genbasicfont program.
  * Don't crash when a glyph has no contours.
  * Support TTC v2
  * Support Unicode Full Repertoire cmap tables.
  * Allow multiple kern subtables.
  * Fix a comment typo.
* Fri Mar  3 2017 thipp@suse.de
- Update to version 0.0.0+git20161208.d9be45a
- Refactoring based on new packaging proposal
- Rename %%{name}-rpmlintrc to rpmlintrc
- Use git instead of mercurial
- Remove example binaries from package
* Sun Apr  3 2016 i@marguerite.su
- add xz dependency for SLE
- get rid of -source subpackage, no one use it
* Sun Jul 12 2015 i@marguerite.su
- rename to golang-googlecode-freetype-go
- update version 0.0.0+hg20150309.128.46c3056cafbb
- use golang-packaging for packaging
* Thu Jul 31 2014 dimstar@opensuse.org
- Rename rpmlintrc to %%{name}-rpmlintrc.
  Follow the packaging guidelines.
* Thu Sep 19 2013 speilicke@suse.com
- Fix license: FTL or GPL-2.0+
* Tue Aug 13 2013 speilicke@suse.com
- Update to version 0.0.0+hg20130813.72.38e23dc4a845:
  + Upstream provides no changelog
- Add _service file
* Tue Aug 13 2013 speilicke@suse.com
- Use %%{exclusivearch} macro
- Install binaries with "go-" prefix
* Fri Dec 23 2011 graham@andtech.eu
- Update to 23.12.2011 mercurial
* Mon Oct 10 2011 graham@andtech.eu
- Fudge a $GOROOT build env so freetype sub-package types have a
  good looking signature for packaging. This is a messy solution
  and needs tidied up into real packages.
* Fri Oct  7 2011 graham@andtech.eu
- Update to HG 18.07.2011 (for Go r60)
- image.Pix changes
* Fri Jun 10 2011 saschpe@suse.de
- Update to 10/06/2011 mercurial version
  * Rename exp/draw to image/draw
  * Follow go stdlib changes for os.Open and Stderr/Println
- Rebased include-fix patch to upstream changes
* Wed Jun  8 2011 saschpe@suse.de
- Use new %%go_disable_brp_strip_static_archive macro
* Fri May 20 2011 saschpe@suse.de
- Use Go RPM macros instead of custom ones
- Use proper package versioning scheme (needs reinstall)
- Drop provides/obsoletes of old package, needs reinstall anyway
* Thu May 19 2011 saschpe@suse.de
- Remove rpmlintrc, not needed anymore
* Thu May 19 2011 saschpe@suse.de
- Simpler build
* Thu May 19 2011 saschpe@suse.de
- Don't require 'go'
- Disable brp-strip-static-archive on Fedora, RHEL and CentOS
- Provide devel and devel-static packages
- Remove devel-file-in-non-devel-package rpmlint filter
- Added include path patch
* Mon Mar 21 2011 saschpe@suse.de
- Removed authors from description
- Removed pkg_version macro, use %%%%{version} directly
* Tue Nov  9 2010 speilicke@novell.com
- Initial commit
